libfuse

Data Fields
fuse_context Struct Reference

`#include <fuse.h>`

## Data Fields
struct fuse * | fuse
uid_t | uid
gid_t | gid
pid_t | pid
void * | private_data
mode_t | umask

## Detailed Description

Extra context that may be needed by some filesystems

The uid, gid and pid fields are not filled in case of a writepage operation.

## Field Documentation

## ◆ fuse

struct fuse* fuse_context::fuse

Pointer to the fuse object

## ◆ gid

gid_t fuse_context::gid

Group ID of the calling process

## ◆ pid

pid_t fuse_context::pid

Thread ID of the calling process

## ◆ private_data

void* fuse_context::private_data

Private filesystem data

## ◆ uid

uid_t fuse_context::uid

User ID of the calling process

## ◆ umask

mode_t fuse_context::umask

Umask of the calling process

The documentation for this struct was generated from the following file:

- include/fuse.h